### Virtual Method

# GimpUi Preview untransform

since: 2.4

#### Declaration [src]

    void
    untransform (
      GimpPreview* preview,
      gint src_x,
      gint src_y,
      gint* dest_x,
      gint* dest_y
    )

#### Description [src]

Transforms from widget to image coordinates.

Available since: 2.4

#### Parameters

`src_x`

  Type: `gint`

  Horizontal position relative to the preview area’s origin.

`src_y`

  Type: `gint`

  Vertical position relative to preview area’s origin.

`dest_x`

  Type: `gint*`

  Returns the untransformed horizontal position.

  The argument will be set by the function.

`dest_y`

  Type: `gint*`

  Returns the untransformed vertical position.

  The argument will be set by the function.